import smbus

class light_sensor:
    def __init__(self, bus = 1, addr = 0x23):
        self.__i2c_device = bus
        self.__i2c_addr = addr
        self.__i2c_device = smbus.SMBus(self.__i2c_device)

    def read(self):
        data = self.__i2c_device.read_i2c_block_data(self.__i2c_addr, 0x10)
        return int(round((data[0] * 256 + data[1]) / 1.2, 0))
